monodevelop-debugger-gdb don't work

Jonathan Marsden jmarsden at
Tue Nov 10 04:22:52 GMT 2009

Дмитрий wrote:

> Good day! Sorry for my poor English. I use Ubuntu 9.10 x86 and the
> extensions GDB debugger for monodevelop don't work. When I attempt to
> debug my programm, I get error "warning: GDB: Failed to set controlling
> terminal: Operation not permitted\n". How I can fix it or help You fix
> it?

> Version of monodevelop - 2.0-1 ~ubuntu1 from official repo of ubuntu.

The Karmic version of monodevelop seems to be 2.0+dfsg-2ubuntu3 based on
both running apt-cache policy monodevelop and on the rmadison output:

monodevelop | 2.0+dfsg-2ubuntu3 | karmic/universe | source, all

So, if you are using monodevelop 2.0-1~ubuntu1 that is almost certainly
*not* the official Karmic package of monodevelop.

This mailing list is not really intended for support questions.  You
might want to try using for that.


More information about the Ubuntu-motu mailing list